Bug 623201 - [RHEL6][Kernel] BUG: spinlock wrong CPU on CPU#2, modprobe/713 (Not tainted)
Summary: [RHEL6][Kernel] BUG: spinlock wrong CPU on CPU#2, modprobe/713 (Not tainted)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ivan Vecera
QA Contact: Network QE
URL: https://rhts.redhat.com/cgi-bin/rhts/...
Whiteboard:
Keywords: RHELNAK
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 15:12 UTC by Jeff Burke
Modified: 2011-05-19 12:38 UTC (History)
5 users (show)

Fixed In Version: kernel-2.6.32-112.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 12:38:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Jeff Burke 2010-08-11 15:12:02 UTC
Description of problem:
 While running the kernel tests on 2.6.32-62.el6 with received a BUG: 

Version-Release number of selected component (if applicable):
2.6.32-62.el6 debug x86_64

How reproducible:
Unknown

Actual results:

BUG: spinlock wrong CPU on CPU#2, modprobe/713 (Not tainted)
 lock: ffff880075df0928, .magic: dead4ead, .owner: modprobe/713, .owner_cpu: 3
Pid: 713, comm: modprobe Not tainted 2.6.32-62.el6.x86_64.debug #1
Call Trace:
 [<ffffffff8128b29a>] spin_bug+0xaa/0x100
 [<ffffffff8128b366>] _raw_spin_unlock+0x76/0xa0
 [<ffffffff814faebb>] _spin_unlock+0x2b/0x40
 [<ffffffffa023b564>] be_cmd_fw_init+0x74/0x90 [be2net]
 [<ffffffffa023d167>] be_probe+0x656/0x9bd [be2net]
 [<ffffffff8129d287>] local_pci_probe+0x17/0x20
 [<ffffffff8129e481>] pci_device_probe+0x101/0x120
 [<ffffffff81357762>] ? driver_sysfs_add+0x62/0x90
 [<ffffffff81357903>] driver_probe_device+0xa3/0x2b0
 [<ffffffff81357bbb>] __driver_attach+0xab/0xb0
 [<ffffffff81357b10>] ? __driver_attach+0x0/0xb0
 [<ffffffff81356b2c>] bus_for_each_dev+0x6c/0xa0
 [<ffffffff8135769e>] driver_attach+0x1e/0x20
 [<ffffffff81356f78>] bus_add_driver+0x208/0x310
 [<ffffffff81357f06>] driver_register+0x76/0x140
 [<ffffffff8128b5b8>] ? __spin_lock_init+0x38/0x70
 [<ffffffff8129e6f6>] __pci_register_driver+0x66/0xe0
 [<ffffffff8109c3fb>] ? __blocking_notifier_call_chain+0x6b/0x90
 [<ffffffffa0244000>] ? be_init_module+0x0/0x74 [be2net]
 [<ffffffffa0244072>] be_init_module+0x72/0x74 [be2net]
 [<ffffffff8100a04c>] do_one_initcall+0x3c/0x1d0
 [<ffffffff810c05b1>] sys_init_module+0xe1/0x260
 [<ffffffff81013172>] system_call_fastpath+0x16/0x1b

Comment 3 RHEL Product and Program Management 2010-08-11 15:39:10 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 4 RHEL Product and Program Management 2010-08-18 21:28:21 UTC
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Red Hat Enterprise Linux. Unfortunately, we
are unable to address this request in the current release. Because we
are in the final stage of Red Hat Enterprise Linux 6 development, only
significant, release-blocking issues involving serious regressions and
data corruption can be considered.

If you believe this issue meets the release blocking criteria as
defined and communicated to you by your Red Hat Support representative,
please ask your representative to file this issue as a blocker for the
current release. Otherwise, ask that it be evaluated for inclusion in
the next minor release of Red Hat Enterprise Linux.

Comment 5 Ivan Vecera 2010-12-17 09:13:17 UTC
The driver uses incorrectly spin lock in conjunction with schedule_timeout, the following upstream commit fixes the issue.

http://git.kernel.org/?p=linux/kernel/git/davem/net-2.6.git;a=commitdiff;h=2984961c388381c1830f95e1c2dc2137301b1009

Comment 7 RHEL Product and Program Management 2010-12-17 15:50:25 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 8 Aristeu Rozanski 2011-02-03 15:09:54 UTC
Patch(es) available on kernel-2.6.32-112.el6

Comment 12 errata-xmlrpc 2011-05-19 12:38:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.